LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

I have a VI that belongs to a library that is not properly licensed on the laptop Im using. How do I get it licensed?

I have an error stating a VI belongs to a library that is not properly licensed on the laptop I'm using.  Can anyone tell me how do I get it licensed?  (version LabVIEW 8.5.1)

Nick Salemi
Teledyne Energy Systems, Inc.
nick.salemi@teledynees.com
410-891-2225
0 Kudos
Message 1 of 6
(2,747 Views)

That would depend on the addon it belongs to.  If NI authored the library a quick call to your rep will get the ball rolling.  If its a third party supplier the Tools network is a good place to start


"Should be" isn't "Is" -Jay
Message 2 of 6
(2,740 Views)

From information gathered here:http://forums.ni.com/t5/LabVIEW/unlicensed-library-error/m-p/2352306/highlight/false#M734399

 

You need to install/register the advanced math addon.  I can't remember the exact name of the toolkit.  It is included if you have the developer suite.


GCentral
There are only two ways to tell somebody thanks: Kudos and Marked Solutions
Unofficial Forum Rules and Guidelines
"Not that we are sufficient in ourselves to claim anything as coming from us, but our sufficiency is from God" - 2 Corinthians 3:5
Message 3 of 6
(2,732 Views)

Thanks Jeff,

 

The library that is not licensed seems to be NI_AALPro.lvlib.

 

Its library path is:

C:\Program Files\National Instruments\Labview 8.5\vi.lib\Analysis\NI_AALPro.lvlib  and it looks like it has a lock on it.

I will try to inquire about a possible addon it may belong to.

 

Thanks

 

 

Nick Salemi
Teledyne Energy Systems, Inc.
nick.salemi@teledynees.com
410-891-2225
0 Kudos
Message 4 of 6
(2,726 Views)

crossrulz

Your response sounds correct.  I've been dumped this and no one really can tell me what was used in the development cycle.

But the advanced math addon makes a lot sense for using a Linear Fit Coefficients VI.

Thanks

Nick Salemi
Teledyne Energy Systems, Inc.
nick.salemi@teledynees.com
410-891-2225
0 Kudos
Message 5 of 6
(2,723 Views)

you appear to have LabVIEW Base.  you need to upgrade to LabVIEW Full to get that library.  your local rep will help you out


"Should be" isn't "Is" -Jay
0 Kudos
Message 6 of 6
(2,716 Views)